.btn {
    outline: none;
    cursor: pointer;
    height: rem(50);
    font-weight: 500;
    font-size: rem(14);
    line-height: rem(24);
    padding: rem(8) rem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: 40px;

    &:hover {
        text-decoration: none;
    }

    &:active {

    }

    &:focus,
    &.focus {
        outline: 0;

    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    @include media-breakpoint-up(xl) {
        height: rem(60);
        font-weight: 700;
        padding: rem(8) rem(30);
        font-size: rem(18);
        line-height: rem(24);
    }
}

.btn-sm {
    height: rem(40);

    @include media-breakpoint-up(xl) {
        height: rem(50);
        font-size: rem(16);
        padding: rem(8) rem(24);
    }
}

.btn-border {
    fill: $white;
    color: $white;
    background: transparent;
    border: 2px solid $white;
    transition: .3s;

    &.hover,
    &:hover {
        color: $turquoise;
        background: transparent;
        border-color: $turquoise;
        transition: .3s;
    }

    &.active,
    &:active {
        color: $blue;
        border-color: $blue;
        transition: .3s;
    }

    &.disabled,
    &:disabled {
        cursor: default;
        color: rgba(255, 255, 255, 0.10);
        border-color: rgba(255, 255, 255, 0.20);
    }
}

.btn-blue {
    color: $white;
    border: none;
    font-weight: 700;
    background: #2757F9;
    background: linear-gradient(180deg, #2757F9 0%, #0238F0 100%);

    &.hover,
    &:hover {
        color: $white;
        background: #0238F0;
    }

    &.active,
    &:active {
        color: rgba(255, 255, 255, 0.80);
        background: #002BBF;
    }

    &.disabled,
    &:disabled {
        cursor: default;
        color: rgba(255, 255, 255, 0.20);
        background: #002BBF;
    }

}
